<?php
    session_start(); 
	require_once('inc/conn.php');
	require_once('inc/constant.php');
	require_once('inc/ls_syscode.php');
	require_once('inc/check.php');
	$opendb=new mydb();
	require_once('inc/char_set.php');
	$selectcate=$_GET['selectcate'];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="css/admin.css" rel="stylesheet" type="text/css">
		<title>无标题文档</title>
	</head>

	<body>
<?php
	$ls=$_POST['ls'];
	$id=$_POST['id'];
	$newsTitle=$_POST['newsTitle2'];
	$newsText=$_POST['newsText'];
	$cate=$_POST['cate'];
	$Num=$_POST['Num'];
	$newsDate=$_POST['newsDate'];
	$title = $_POST['newsTitle'];
	$keywords = $_POST['newsKeywords'];
	$description = $_POST['newsDescription'];
	$ChangecatePagePic=$_POST['ChangecatePagePic'];
	$keywords = str_replace("，",",",$keywords);
	
	$pic=$_POST['Pic'];
	
	$image=$_FILES['blogPic']['name'];   
  	$size=$_FILES['blogPic']['size'];   
  	$type=$_FILES['blogPic']['type'];
	
	switch($ls){
		case "insert":
			if ($type == "image/gif" || $type == "image/png" || $type == "image/x-png" || $type == "image/pjpeg" || $type == "image/jpeg" ){
				 if($size < $PicSize){
					 $blogPath="../blog/".$SmallFoldersProducts;
					 createFolder($blogPath);
					 
					 $arr=array(" ",".");
					 
					 //找出产品表中最大的ID，加1 
					$maxsql = "select * from ls_news as a where ID = (select max(ID) from ls_news as b)";
					$max_query = $opendb->query($maxsql);
					$maxrow = mysql_fetch_assoc($max_query);
					$pid = $maxrow['ID']+1;
					
					$pro_name = time().$pid;

					//产生文件名   
					$productPic=str_replace($arr ,"",$pro_name).".".get_extension($image);
					$pathPic=$blogPath."/".$productPic;
					//echo  $pathBigPic."--".$_FILES['productPic']['tmp_name'];
					move_uploaded_file($_FILES['blogPic']['tmp_name'], $pathPic);
					echo $pathPic;
					$toW=$SmallPicW;			//宽度
					$toH=$SmallPicH;			//高度
					$toFile=$pathPic;	//目标地址
					$srcFile=$pathPic;	//目标地址
					ImageResize($srcFile,$toW,$toH,$toFile);	//resize the big pic width & height to stand size
					chmod($toFile,0644);
					
					$insert_sql=sprintf("insert into ls_news(title,keywords,description,newsTitle,newsText,img,newsDate,enable,cate,Num) values (%s,%s,%s,%s,%s,%s,%s,%s,%s,%s)",
						GetSQLValueString($title,"text"),
						GetSQLValueString($keywords,"text"),
						GetSQLValueString($description,"text"),
						GetSQLValueString($newsTitle,"text"),
						GetSQLValueString($newsText,"text"),
						GetSQLValueString($productPic,"text"),
						GetSQLValueString($newsDate,"date"),
						GetSQLValueString("1", "int"),
						GetSQLValueString($cate,"text"),
						GetSQLValueString($Num,"int")
						);
					$insert_query=$opendb->query($insert_sql);
					writelog($_SERVER['PHP_SELF'],"add blog: ".$newsTitle,"cate: ".$cate);
					echo "<script>alert('数据添加成功！');location='blog.php?selectcate=".$selectcate."';</script>";
				 }else
					{
						echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
					}
			}else
				{
					 echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
				}
			
			break;
			
		case "update":
		if($ChangecatePagePic=="yes"){
			if ($type == "image/gif" || $type == "image/png" || $type == "image/x-png" || $type == "image/pjpeg" || $type == "image/jpeg" ){
				if($size < $PicSize) //开始判断图像大小
				{
					$blogPath="../blog/".$SmallFoldersProducts;
					
					$oldsmallpic=$blogPath."/".$pic;
					unlink($oldsmallpic);	//delete old small pic
					
					$arr=array(" ",".");   
					//产生文件名   
					$pic=substr($pic,0,(strlen($pic)-4));
					//echo $pic;
					$productPic=$pic.".".substr($image,-3);
																									
					$pathPic=$blogPath."/".$productPic;
					//echo $pathBigPic;
					//上传文件
					move_uploaded_file($_FILES['blogPic']['tmp_name'], $pathPic);
					$toW=$SmallPicW;			//宽度
					$toH=$SmallPicH;			//高度
					$toFile=$pathPic;		//目标地址
					$srcFile=$pathPic;	//目标地址
					ImageResize($srcFile,$toW,$toH,$toFile);	//resize the big pic width & height to stand size
					chmod($toFile,0644);
				}else
				{
					echo "	<script>alert('图像最大为".$PicSize."！');history.go(-1);</script>";
				}
			}else
			{
				echo "	<script>alert('请选择图片上传，或者你选择的文件不符合要求!\\n只允许格式 .gif .png .jpeg');history.go(-1);</script>";
			}
			$update_pic_sql=sprintf("update ls_news set img=%s where id=%s",
					GetSQLValueString($productPic, "text"),
					GetSQLValueString($id, "int")
				);
			//更新图片
			$update_query=$opendb->query($update_pic_sql);
		}
	$update_sql=sprintf("update ls_news set title=%s, keywords=%s, description=%s, newsTitle=%s,newsText=%s,newsDate=%s,enable=%s,cate=%s,Num=%s where id=%s",
						GetSQLValueString($title, "text"),
						GetSQLValueString($keywords, "text"),
						GetSQLValueString($description, "text"),
						GetSQLValueString($newsTitle,"text"),
						GetSQLValueString($newsText,"text"),
						GetSQLValueString($newsDate,"date"),
						GetSQLValueString("1", "int"),
						GetSQLValueString($cate,"text"),
						GetSQLValueString($Num, "int"),
						GetSQLValueString($id,"int")
						);
									//echo $update_sql;
			$update_query=$opendb->query($update_sql);
			writelog($_SERVER['PHP_SELF'],"changed news: ".$newsTitle,"cate: ".$cate);

			echo "<script>alert('数据更新成功！');location='blog.php?selectcate=".$selectcate."';</script>";
	}
?>
</body>
</html>